[arch-commits] Commit in libdrm/trunk (4 files)

Jan de Groot jgc at archlinux.org
Sat Jul 18 14:01:14 UTC 2009


    Date: Saturday, July 18, 2009 @ 10:01:14
  Author: jgc
Revision: 46472

upgpkg: libdrm 2.4.12-1
    Add radeon experimental API, add two patches from git for radeon, update no-pthread-stubs.patch, enable udev support

Added:
  libdrm/trunk/git-fixes.patch
Modified:
  libdrm/trunk/PKGBUILD
  libdrm/trunk/no-pthread-stubs.patch
Deleted:
  libdrm/trunk/intel-bo-cache.patch

------------------------+
 PKGBUILD               |   27 +++++++++++++++------------
 git-fixes.patch        |   44 ++++++++++++++++++++++++++++++++++++++++++++
 intel-bo-cache.patch   |   40 ----------------------------------------
 no-pthread-stubs.patch |   17 +++++++++++++++++
 4 files changed, 76 insertions(+), 52 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-18 13:44:43 UTC (rev 46471)
+++ PKGBUILD	2009-07-18 14:01:14 UTC (rev 46472)
@@ -2,32 +2,35 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libdrm
-pkgver=2.4.11
-pkgrel=2
+pkgver=2.4.12
+pkgrel=1
 pkgdesc="Userspace interface to kernel DRM services"
 arch=(i686 x86_64)
 license=('custom')
 depends=('glibc')
-options=('!libtool' 'force')
+options=('!libtool')
 url="http://dri.freedesktop.org/"
 source=(http://dri.freedesktop.org/${pkgname}/${pkgname}-${pkgver}.tar.bz2
-	no-pthread-stubs.patch
-	intel-bo-cache.patch
-	COPYING)
-md5sums=('e0e66fae165d0b665b61e9516bf33ade'
-         'e5f8f3b9f6357c2f82950cdfb8e9c9ec'
-	 '53e7c214f6fb9fea8deb1ba3bf9b13ed'
-	 'ba65e71c481b94ef0fb6c23c7f21ffa1')
+        no-pthread-stubs.patch
+        git-fixes.patch
+        COPYING)
+md5sums=('15d26219c046377d5fcb1cb37e7b03a2'
+         '97584cada4db57c1eb799f0b94e738ae'
+         '268de9ab6a6380e46189e577023cce42'
+         'ba65e71c481b94ef0fb6c23c7f21ffa1')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   patch -Np1 -i "${srcdir}/no-pthread-stubs.patch" || return 1
-  patch -Np1 -i "${srcdir}/intel-bo-cache.patch" || return 1
+  patch -Np1 -i "${srcdir}/git-fixes.patch" || return 1
   libtoolize --force || return 1
   aclocal || return 1
   autoconf || return 1
   automake || return 1
-  ./configure --prefix=/usr --enable-nouveau-experimental-api || return 1
+  ./configure --prefix=/usr \
+      --enable-nouveau-experimental-api \
+      --enable-radeon-experimental-api \
+      --enable-udev || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
   install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"

Added: git-fixes.patch
===================================================================
--- git-fixes.patch	                        (rev 0)
+++ git-fixes.patch	2009-07-18 14:01:14 UTC (rev 46472)
@@ -0,0 +1,44 @@
+From 0411c37409102c71e8ba980f9afb2d4a8c64189d Mon Sep 17 00:00:00 2001
+From: Alex Deucher <alexdeucher at gmail.com>
+Date: Wed, 15 Jul 2009 18:40:41 +0000
+Subject: Add R600_SCRATCH_REG_OFFSET to radeon_drm.h
+
+This lets us libdrm from master for r6xx/r7xx 3d
+---
+diff --git a/shared-core/radeon_drm.h b/shared-core/radeon_drm.h
+index e9f2afa..3fc417a 100644
+--- a/shared-core/radeon_drm.h
++++ b/shared-core/radeon_drm.h
+@@ -303,6 +303,7 @@ typedef union {
+ #define RADEON_INDEX_PRIM_OFFSET	20
+ 
+ #define RADEON_SCRATCH_REG_OFFSET	32
++#define R600_SCRATCH_REG_OFFSET         256
+ 
+ #define RADEON_NR_SAREA_CLIPRECTS	12
+ 
+--
+cgit v0.8.2
+From 9aed44beeac4f250a58c792d64a4dee1dde3d086 Mon Sep 17 00:00:00 2001
+From: Alex Deucher <alexdeucher at gmail.com>
+Date: Wed, 15 Jul 2009 18:51:38 +0000
+Subject: Add RADEON_INIT_R600_CP too
+
+this rounds out the r6xx/r7xx stuff in radeon_drm.h
+---
+diff --git a/shared-core/radeon_drm.h b/shared-core/radeon_drm.h
+index 3fc417a..85aa025 100644
+--- a/shared-core/radeon_drm.h
++++ b/shared-core/radeon_drm.h
+@@ -548,7 +548,8 @@ typedef struct drm_radeon_init {
+ 		RADEON_INIT_CP = 0x01,
+ 		RADEON_CLEANUP_CP = 0x02,
+ 		RADEON_INIT_R200_CP = 0x03,
+-		RADEON_INIT_R300_CP = 0x04
++		RADEON_INIT_R300_CP = 0x04,
++		RADEON_INIT_R600_CP = 0x05
+ 	} func;
+ 	unsigned long sarea_priv_offset;
+ 	int is_pci; /* for overriding only */
+--
+cgit v0.8.2

Deleted: intel-bo-cache.patch
===================================================================
--- intel-bo-cache.patch	2009-07-18 13:44:43 UTC (rev 46471)
+++ intel-bo-cache.patch	2009-07-18 14:01:14 UTC (rev 46472)
@@ -1,40 +0,0 @@
-From 469655fab7a56eb32ff8cdefb33992813342353a Mon Sep 17 00:00:00 2001
-From: Eric Anholt <eric at anholt.net>
-Date: Mon, 18 May 2009 23:07:45 +0000
-Subject: intel: Only do BO caching up to 64MB objects.
-
-This avoids making objects significantly bigger than they would be
-otherwise, which would result in some failing at binding to the GTT.
-Found from firefox hanging on:
-http://upload.wikimedia.org/wikipedia/commons/b/b7/Singapore_port_panorama.jpg
-due to a software fallback trying to do a GTT-mapped copy between two 73MB
-BOs that were instead each 128MB, and failing because both couldn't fit
-simultaneously.
-
-The cost here is that we get no opportunity to cache these objects and
-avoid the mapping.  But since the objects are a significant percentage
-of the aperture size, each mapped access is likely having to fault and rebind
-the object most of the time anyway.
-
-Bug #20152 (2/3)
----
-diff --git a/libdrm/intel/intel_bufmgr_gem.c b/libdrm/intel/intel_bufmgr_gem.c
-index 61943f0..ef046f4 100644
---- a/libdrm/intel/intel_bufmgr_gem.c
-+++ b/libdrm/intel/intel_bufmgr_gem.c
-@@ -80,10 +80,10 @@ struct drm_intel_gem_bo_bucket {
-    int num_entries;
- };
- 
--/* Arbitrarily chosen, 16 means that the maximum size we'll cache for reuse
-- * is 1 << 16 pages, or 256MB.
-+/* Only cache objects up to 64MB.  Bigger than that, and the rounding of the
-+ * size makes many operations fail that wouldn't otherwise.
-  */
--#define DRM_INTEL_GEM_BO_BUCKETS	16
-+#define DRM_INTEL_GEM_BO_BUCKETS	14
- typedef struct _drm_intel_bufmgr_gem {
-     drm_intel_bufmgr bufmgr;
- 
---
-cgit v0.8.2

Modified: no-pthread-stubs.patch
===================================================================
--- no-pthread-stubs.patch	2009-07-18 13:44:43 UTC (rev 46471)
+++ no-pthread-stubs.patch	2009-07-18 14:01:14 UTC (rev 46472)
@@ -47,3 +47,20 @@
  
  libdrm_nouveau_la_SOURCES = \
  			    nouveau_device.c \
+--- libdrm-2.4.12/libdrm/radeon/Makefile.am.orig	2009-07-18 15:53:08.000000000 +0200
++++ libdrm-2.4.12/libdrm/radeon/Makefile.am	2009-07-18 15:53:23.000000000 +0200
+@@ -26,13 +26,12 @@
+ 	$(WARN_CFLAGS) \
+ 	-I$(top_srcdir)/libdrm \
+ 	-I$(top_srcdir)/libdrm/radeon \
+-	$(PTHREADSTUBS_CFLAGS) \
+ 	-I$(top_srcdir)/shared-core
+ 
+ libdrm_radeon_la_LTLIBRARIES = libdrm_radeon.la
+ libdrm_radeon_ladir = $(libdir)
+ libdrm_radeon_la_LDFLAGS = -version-number 1:0:0 -no-undefined
+-libdrm_radeon_la_LIBADD = ../libdrm.la @PTHREADSTUBS_LIBS@
++libdrm_radeon_la_LIBADD = ../libdrm.la
+ 
+ libdrm_radeon_la_SOURCES = \
+ 	radeon_bo_gem.c \




More information about the arch-commits mailing list